From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 26 December 2010<P>

AmandaB, about <a href="/blend/wv.cgi?id=2010.12.23.16.53.9879">nice guys</a>:<BR>
<BR>
This piece is nicely orchestrated, and authentic. ...especially hits home as I cringe at the sound of "I'm trying."
<HR>
From: <a href="/blend/av.cgi?id=2018">AmandaB</a><BR>
Date: 26 December 2010<P>

Just L, I cringe now at "I've given you time" You cant GIVE me time. Thanks for your comment :).
<HR>
From: <a href="/blend/av.cgi?id=1964">RebeccaBeth_88</a><BR>
Date: 26 December 2010<P>

AmandaB, about <a href="/blend/wv.cgi?id=2010.12.23.16.53.9879">nice guys</a>:<BR>
<BR>
Wow. It is what it is.
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 26 December 2010<P>

Camelia Lissenhold, about <a href="/blend/wv.cgi?id=2010.11.07.10.36.3452">Your weight</a>:<BR>
<BR>
<BR>
Left me speechless :) Babies are miracles!&lt;3
<HR>